Subject: Re: [PATCH net-next V3 0/3] page_pool: API for numa node change handling

From: Jesper Dangaard Brouer <[email-masked]>
Date: Wed, 20 Nov 2019 13:15:12 +0100

On Wed, 20 Nov 2019 00:15:14 +0000
Saeed Mahameed <[email-masked]> wrote:

> Performance analysis and conclusions by Jesper [1]:
> Impact on XDP drop x86_64 is inconclusive and shows only 0.3459ns
> slow-down, as this is below measurement accuracy of system.

Yes, I have had time to micro-benchmark this (on Intel), and given I
cannot demonstrate statistically significant slowdown, I'm going to
accept this change to the fast-path of page_pool.

For series:

Acked-by: Jesper Dangaard Brouer <[email-masked]>

(I'm going to ack each patch, in-order to make patchwork pickup the
ACK, and hopefully make this easier for DaveM).

> v2->v3:
>  - Rebase on top of latest net-next and Jesper's page pool object
>    release patchset [2]
>  - No code changes
>  - Performance analysis by Jesper added to the cover letter.
> 
> v1->v2:
>   - Drop last patch, as requested by Ilias and Jesper.
>   - Fix documentation's performance numbers order.

> 
> [1] https://github.com/xdp-project/xdp-project/blob/master/areas/mem/page_pool04_inflight_changes.org#performance-notes
> [2] https://patchwork.ozlabs.org/cover/1192098/

-- 
Best regards,
  Jesper Dangaard Brouer
  MSc.CS, Principal Kernel Engineer at Red Hat
  LinkedIn: http://www.linkedin.com/in/brouer